---
name: VEP
url: https://www.ensembl.org/info/docs/tools/vep/index.html
description: Ensembl VEP determines the effect of your variants on genes, transcripts and protein sequences, as well as regulatory regions.
---

The VEP module parses the summary statistics generated by
[Ensembl VEP](https://www.ensembl.org/info/docs/tools/vep/index.html).

MultiQC parses the VEP summary statistics stored in either HTML or plain text format.
Beside VEP's default naming convention, you can run VEP with one of the options below to use this module:

- `--stats_file [OUTPUT_FILENAME]_summary.html` _(VEP's default naming convention)_
- `--stats_file [SAMPLE_NAME].vep.html` _(without the `vep` or `summary` suffix, MultiQC will ignore the HTML files)_
- `--stats_file [SAMPLE_NAME]_vep.html`
- `--stats_text --stats_file [SAMPLE_NAME].vep.txt`
- `--stats_text --stats_file [SAMPLE_NAME]_vep.txt`

See the [VEP](https://www.ensembl.org/info/docs/tools/vep/vep_formats.html#stats)
documentation for more information.
